/* This is -*- C -*- */
/* $Id: guppi-graphpaper-item.h,v 1.1 2000/04/21 23:22:40 trow Exp $ */

/*
 * guppi-graphpaper-item.h
 *
 * Copyright (C) 2000 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@gnu.org> and
 * Havoc Pennington <hp@pobox.com>.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#ifndef _INC_GUPPI_GRAPHPAPER_ITEM_H
#define _INC_GUPPI_GRAPHPAPER_ITEM_H

#include <config.h>
#include <gnome.h>

#include <guppi-canvas-item.h>

typedef struct _GuppiGraphpaperItem GuppiGraphpaperItem;
typedef struct _GuppiGraphpaperItemClass GuppiGraphpaperItemClass;

struct _GuppiGraphpaperItem {
  GuppiCanvasItem parent;
  
  gsize xN, yN;
  double* xvals;
  double* yvals;
};

struct _GuppiGraphpaperItemClass {
  GuppiCanvasItemClass parent_class;
};

#define GUPPI_TYPE_GRAPHPAPER_ITEM (guppi_graphpaper_item_get_type())
#define GUPPI_GRAPHPAPER_ITEM(obj) (GTK_CHECK_CAST((obj),GUPPI_TYPE_GRAPHPAPER_ITEM,GuppiGraphpaperItem))
#define GUPPI_GRAPHPAPER_ITEM0(obj) ((obj) ? (GUPPI_GRAPHPAPER_ITEM(obj)) : NULL)
#define GUPPI_GRAPHPAPER_ITEM_CLASS(klass) (GTK_CHECK_CLASS_CAST((klass),GUPPI_TYPE_GRAPHPAPER_ITEM,GuppiGraphpaperItemClass))
#define GUPPI_IS_GRAPHPAPER_ITEM(obj) (GTK_CHECK_TYPE((obj), GUPPI_TYPE_GRAPHPAPER_ITEM))
#define GUPPI_IS_GRAPHPAPER_ITEM0(obj) (((obj) == NULL) || (GUPPI_IS_GRAPHPAPER_ITEM(obj)))
#define GUPPI_IS_GRAPHPAPER_ITEM_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass), GUPPI_TYPE_GRAPHPAPER_ITEM))

GtkType guppi_graphpaper_item_get_type(void);

GtkObject* guppi_graphpaper_item_new(void);



#endif /* _INC_GUPPI_GRAPHPAPER_ITEM_H */

/* $Id: guppi-graphpaper-item.h,v 1.1 2000/04/21 23:22:40 trow Exp $ */
